package com.cool.store.enums.point;

/**
 * @Author: WangShuo
 * @Date: 2025/01/08/下午3:54
 * @Version 1.0
 * @注释:
 */
public enum ShopStatusEnum {
    ING(0,"跟进中"),
    DONE(1,"已完成"),
    ABANDON(2,"已放弃");
    private int code;
    private String desc;
    private ShopStatusEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    public int getCode() {
        return code;
    }
    public String getDesc() {
        return desc;
    }
    public static String getDesc(int code){
        for (ShopStatusEnum shopStatusEnum:ShopStatusEnum.values()){
            if (shopStatusEnum.getCode()==code){
                return shopStatusEnum.getDesc();
            }
        }
        return null;
    }
}
